<?php
session_start();
if(!isset($_SESSION["login"]) || $_SESSION["login"] != 1){
  //$_SESSIONが初期化されていない、または$_SESSION["login"]の値が1ではない
  header("Location:login.php");
}else{
  //認証を経由してログイン済み
  $dsn = 'mysql:dbname=bbs;host=localhost';
try{
	 $dbh = new PDO($dsn,'bbsuser','a');
  }
catch(PDOException $e){
	//もしDBへの接続に問題があればここが実行される
	print('DBへ接続できません'.$e->getMessage());
	//$e->getMessage()でエラー内容を表示する
	exit();//以下のプログラムは実行しない
}
  $sql = "SELECT * FROM data ORDER BY regtime DESC";//dataテーブルから全てのデータをデータの登録順（降順）で取得
  $stmt = $dbh->prepare($sql);//SQL文を発行する準備をする
  $stmt->execute();
  $output = '';
  while($result = $stmt->fetch(PDO::FETCH_ASSOC)){
    //結果を1行ずつ取得して展開する。データが無くなればループは終了
    $output .= '<div><p>名前：'.$result["name"].'</p><p>メールアドレス：'.$result["email"].'</p><p>コメント：'.$result["comment"].'</p></div>';
  }
}

?>

<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>無題ドキュメント</title>
</head>

<body>
  <h1>確認画面</h1>
  <?php print($output); ?>
</body>
</html>