<?php
//DBへの書き込み
$dsn = 'mysql:dbname=bbs;host=localhost';
try{
	$dbh = new PDO($dsn,'bbsuser','a');
}
catch(PDOException $e){
	//もしDBへの接続に問題があればここが実行される
	print('DBへ接続できません'.$e->getMessage());
	//$e->getMessage()でエラー内容を表示する
	exit();//以下のプログラムは実行しない
}
$sql = "SELECT * FROM data ORDER BY id DESC";
//IDが高いもの順（DESC←→ASC）にすべてのデータを取り出す
$stmt = $dbh->prepare($sql);
$stmt->execute();
$output = '';
while($result = $stmt->fetch(PDO::FETCH_ASSOC)){
	//結果があるうちは1行ずつ結果が返ってきて、$resultに格納される。結果が無くなるとエラーが発生して、whileから抜け出す
	$output .= '<div><p>名前：'.$result["name"].'</p><p>メールアドレス：'.$result["email"].'</p><p>性別：'.$result["gender"].'</p><p>コメント：'.$result["content"].'</p></div>'; 
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>無題ドキュメント</title>
</head>

<body>
<?php print($output); ?>
</body>
</html>